{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.cc_fairytales.soul.control": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": ["idle"],
					"transitions": [
						{"fly": "q.ground_speed > 1.0 && q.has_target"},
						{"fly2": "q.ground_speed > 1.0 && !q.has_target"}
					],
					"blend_transition": 0.3
				},
				"fly": {
					"animations": ["fly", "sfly"],
					"transitions": [
						{"idle": "q.ground_speed < 0.5 && !q.has_target"}
					],
					"blend_transition": 0.3
				},
				"fly2": {
					"animations": ["fly2"],
					"transitions": [
						{"idle": "q.ground_speed < 0.5"}
					],
					"blend_transition": 0.3
				}
			}
		}
	}
}